> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pre Approval version

> Get Pre Approval version by id



## OpenAPI

````yaml openapi-1 get /preApprovals/versions/{id}
openapi: 3.0.1
info:
  title: Drivly Pre-Approval API
  description: API for the Driv.ly Pre-Approval experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://commerce.driv.ly/api
security:
  - apiKeyAuth: []
paths:
  /preApprovals/versions/{id}:
    get:
      summary: Get Pre Approval version
      description: Get Pre Approval version by id
      parameters:
        - name: id
          in: path
          description: id of the Pre Approval version
          required: true
          schema:
            type: string
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
            format: int32
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
        - name: sort
          in: query
          description: sort by field
          schema:
            type: string
        - name: limit
          in: query
          description: limit the returned documents to a certain number
          schema:
            type: number
            format: int32
        - name: page
          in: query
          description: get a specific page of documents
          schema:
            type: number
            format: int32
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                title: PreApproval version
                type: object
                properties:
                  version:
                    $ref: '#/components/schemas/preApproval'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - parent
                  - version
                  - createdAt
                  - updatedAt
        '404':
          description: not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    preApproval:
      title: PreApproval
      type: object
      properties:
        customer:
          type: number
          nullable: true
        title:
          type: string
          nullable: true
        status:
          enum:
            - Processing
            - Error
            - Processed
            - Needs Info
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        middleInitial:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        suffix:
          enum:
            - JR
            - SR
            - II
            - III
            - IV
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          enum:
            - AA
            - AE
            - AK
            - AL
            - AR
            - AS
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - FM
            - GA
            - GU
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MH
            - MI
            - MN
            - MO
            - MP
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - PR
            - PW
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VI
            - VT
            - WA
            - WI
            - WV
            - WY
            - AP
          type: string
          nullable: true
        zip:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        income:
          type: string
          nullable: true
        ipAddress:
          type: string
          nullable: true
        userAgent:
          type: string
          nullable: true
        isp:
          type: string
          nullable: true
        sessionId:
          type: string
          nullable: true
        resend:
          type: string
          nullable: true
        AppId:
          type: number
          nullable: true
        segmentationBand:
          enum:
            - Excellent (750-900)
            - Good (700-749)
            - Fair (650-699)
            - Fair (600-649)
            - OK (550-599)
            - Lower (300-549)
            - Unknown
            - NS
          type: string
          nullable: true
        estimatedInterestRate:
          type: string
          nullable: true
        estimatedLoanTerm:
          type: string
          nullable: true
        lead:
          type: number
          nullable: true
        updatedAt:
          type: string
        createdAt:
          type: string
      required:
        - id
        - updatedAt
        - createdAt
    error:
      title: Error response message
      type: object
      additionalProperties: false
      properties:
        errors:
          type: array
          items:
            type: object
            additionalProperties: false
            properties:
              message:
                type: string
            required:
              - message
      required:
        - errors
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````